diff -urp user_import_orig/user_import.module user_import/user_import.module
--- user_import_orig/user_import.module	2008-05-15 15:16:31.000000000 +0200
+++ user_import/user_import.module	2008-06-18 15:56:24.000000000 +0200
@@ -206,409 +218,399 @@ function user_import_configure_form() { 
         '#collapsed' => empty($check_usernames) ? TRUE : FALSE,
         '#description' => t('Previous versions of User Import module may have created incorrect usernames, use this feature to check.'),
     );
-    
+
     if (!empty($check_usernames)) {
-        
+
         variable_set('user_export_checked_usernames', 0);
         $errors = user_import_usernames_invalid();
-        
+
         $form['check_names'][] = array(
             '#value' => $errors,
         );
-        
         $form['check_names'][] = array(
-            '#type' => 'submit', 
+            '#type' => 'submit',
             '#value' => t('Check'),
         );
-        
-        if ($errors != '<p><strong>' . t('All usernames are OK.') . '</strong></p>') {
+
+        if ($errors != '<p><strong>'. t('All usernames are OK.') .'</strong></p>') {
             $form['check_names'][] = array(
-                '#type' => 'submit', 
+                '#type' => 'submit',
                 '#value' => t('Delete'),
             );
         }
-        
-    } else {
-
+    }
+    else {
         $form['check_names'][] = array(
-            '#type' => 'submit', 
+            '#type' => 'submit',
             '#value' => t('Check'),
         );
     }
 
 
     $form['submit'] = array(
-        '#type' => 'submit', 
+        '#type' => 'submit',
         '#value' => t('Save'),
         );
-    
+
     return $form;
 }
 
-function user_import_configure_form_validate($form_id, &$form) {
+function user_import_configure_form_validate($form, &$form_state) {
 
-    if (is_numeric($form['user_import_max'])) {
-        if ($form['user_import_max'] < 10) form_set_error('user_import_max', t("Value should be at least 10."));       
-    } 
+    if (is_numeric($form_state['values']['user_import_max'])) {
+        if ($form_state['values']['user_import_max'] < 10) form_set_error('user_import_max', t("Value should be at least 10."));
+    }
     else {
         form_set_error('user_import_max', t('Value must be a number.'));
     }
-    
-    if (is_numeric($form['user_import_line_max'])) {
-        if ($form['user_import_line_max'] < 1000) form_set_error('user_import_line_max', t("Value must be higher than 1000."));
-        if ($form['user_import_line_max'] > 1000000) form_set_error('user_import_line_max', t("Value must be lower than 1,000,000."));
-    } 
+
+    if (is_numeric($form_state['values']['user_import_line_max'])) {
+        if ($form_state['values']['user_import_line_max'] < 1000) form_set_error('user_import_line_max', t("Value must be higher than 1000."));
+        if ($form_state['values']['user_import_line_max'] > 1000000) form_set_error('user_import_line_max', t("Value must be lower than 1,000,000."));
+    }
     else {
         form_set_error('user_import_line_max', t('Value must be a number.'));
     }
-    
+
     return;
 }
 
-function user_import_configure_form_submit($form_id, $form_values) { 
+function user_import_configure_form_submit($form, &$form_state) {
 
-    settype($form_values['user_import_max'], 'integer');
-    settype($form_values['user_import_line_max'], 'integer');
-    variable_set('user_import_max', $form_values['user_import_max']);
-    variable_set('user_import_line_max', $form_values['user_import_line_max']);
-    variable_set('user_import_settings', $form_values['user_import_settings']);
-    
-    if (!empty($form_values['templates'])) {
+    settype($form_state['values']['user_import_max'], 'integer');
+    settype($form_state['values']['user_import_line_max'], 'integer');
+    variable_set('user_import_max', $form_state['values']['user_import_max']);
+    variable_set('user_import_line_max', $form_state['values']['user_import_line_max']);
+    variable_set('user_import_settings', $form_state['values']['user_import_settings']);
 
-        foreach ($form_values['templates'] as $import_id) {
-            
+    if (!empty($form_state['values']['templates'])) {
+        foreach ($form_state['values']['templates'] as $import_id) {
             if (!empty($import_id)) {
-            
                 $template = _user_import_settings_select($import_id);
                 if (!empty($deleted)) $deleted .= ', ';
-                $deleted .= $template['name'];       
+                $deleted .= $template['name'];
                 _user_import_settings_deletion($import_id);
             }
         }
     }
-    
+
     if (!empty($deleted)) drupal_set_message(t('Settings templates deleted: @deleted', array('@deleted' => $deleted)));
-    
-    if ($form_values[op] == t('Check')) {
-       variable_set('user_export_checked_usernames', 1);
-       return;
-    }
-    
-    if ($form_values[op] == t('Delete')) {
-       user_import_usernames_invalid(TRUE);
+
+    if ($form_state['values']['op'] == t('Check')) {
+      variable_set('user_export_checked_usernames', 1);
+      return;
+    }
+
+    if ($form_state['values']['op'] == t('Delete')) {
+      user_import_usernames_invalid(TRUE);
     }
-    
+
     drupal_set_message(t('Configuration settings have been saved.'));
     drupal_goto('admin/user/user_import');
 }
 
-function user_import_add_form($import_id = NULL) {
-        
-    $form = array();
-    $ftp_files = _user_import_ftp_files();
-    user_import_add_file_form($form, $ftp_files);
-        
-    $settings = _user_import_settings_select(NULL, 'get saved');
-    
-    if ($settings) {
- 
-        $saved_settings = array(t('-- none --'));
-        foreach ($settings AS $settings_set) {
-            $saved_settings[$settings_set['import_id']] = $settings_set['name'];
-        }
-           
-        $form['import_template_select'] = array( 
-            '#type' => 'select',
-            '#title' => t('Saved Settings'),
-            '#description' => t('Select if you want to use a previously saved set of settings.'),
-            '#default_value' => variable_get('user_import_settings', 0),
-            '#options' => $saved_settings,
-        );
-        
-    } 
- 
-    $form['next'] = array(
-        '#type' => 'submit', 
-        '#value' => t('Next')
-    );    
-    
-    // Set form parameters so we can accept file uploads.
-    $form['#attributes'] = array('enctype' => 'multipart/form-data'); 
+function user_import_add_form($form_state, $import_id = NULL) {
+  $form = array();
+  $ftp_files = _user_import_ftp_files();
+  user_import_add_file_form($form, $ftp_files);
+
+  $settings = _user_import_settings_select(NULL, 'get saved');
+
+  if ($settings) {
+    $saved_settings = array(t('-- none --'));
+    foreach ($settings AS $settings_set) {
+      $saved_settings[$settings_set['import_id']] = $settings_set['name'];
+    }
+
+    $form['import_template_select'] = array(
+      '#type' => 'select',
+      '#title' => t('Saved Settings'),
+      '#description' => t('Select if you want to use a previously saved set of settings.'),
+      '#default_value' => variable_get('user_import_settings', 0),
+      '#options' => $saved_settings,
+    );
+  }
+
+  $form['next'] = array(
+    '#type' => 'submit',
+    '#value' => t('Next')
+  );
 
-    return $form;    
+  // Set form parameters so we can accept file uploads.
+  $form['#attributes'] = array('enctype' => 'multipart/form-data');
+
+  return $form;
 }
 
-function user_import_add_form_validate($form_id, $form_values) {
+function user_import_add_form_validate($form, &$form_state) {
 
-    $file = _user_import_file(NULL, $form_values['file_ftp']);
+    $file = _user_import_file(NULL, $form_state['values']['file_ftp']);
 
     // check file uploaded OK
     if (empty($file->filename)) form_set_error('file_upload', t('A file must be uploaded or selected from FTP updates.'));
-    
+
     // check file matches saved settings
-    
+
     return;
 }
 
-function user_import_add_form_submit($form_id, $form_values) {
+function user_import_add_form_submit($form, &$form_state) {
+
+    $file = _user_import_file(NULL, $form_state['values']['file_ftp']);
+    $form_state['values']['filename'] = $file->filename;
+    $form_state['values']['oldfilename'] = $file->filename;
+    $form_state['values']['filepath'] = $file->filepath;
+    $form_state['values']['setting'] = 'file set';
 
-    $file = _user_import_file(NULL, $form_values['file_ftp']);
-    $form_values['filename'] = $file->filename;
-    $form_values['oldfilename'] = $file->filename;
-    $form_values['filepath'] = $file->filepath;
-    $form_values['setting'] = 'file set';
-    
     // create import setting
-    $import = _user_import_settings_save($form_values);
-    if (!empty($form_values['import_template_select'])) $settings_template = check_plain($form_values['import_template_select']);
-    
-    drupal_goto('admin/user/user_import/add/' . $import['import_id'] . '/' . $settings_template);
-    
+    $import = _user_import_settings_save($form_state['values']);
+    if (!empty($form_state['values']['import_template_select'])) $settings_template = check_plain($form_state['values']['import_template_select']);
+
+    drupal_goto('admin/user/user_import/add/'. $import['import_id'] .'/'. $settings_template);
+
     return;
 }
 
-function user_import_edit_form($import_id, $template_id = NULL) {
-
+function user_import_edit_form($form_state, $import_id, $template_id = NULL) {
     user_import_load_supported();
     $form = array();
     $import  = _user_import_settings_select($import_id);
     $import['template_id'] = $template_id;
-    
+
     // add setting template values
     if ($import['setting'] == 'file set') $import = _user_import_initialise_import($import);
-    
+
     $form['import_id'] = array(
-        '#type' => 'value', 
+        '#type' => 'value',
         '#value' => $import_id,
     );
 
     $form['setting'] = array(
-        '#type' => 'value', 
+        '#type' => 'value',
         '#value' => $import['setting'],
     );
-    
+
     $form['return_path'] = array(
-        '#type' => 'value', 
+        '#type' => 'value',
         '#default_value' => 'admin/user/user_import',
     );
-    
+
     $form['og_id'] = array(
-        '#type' => 'value', 
+        '#type' => 'value',
         '#default_value' => 0,
     );
- 
+
     // don't use hook because these need to be added in this order;
     user_import_edit_file_fields($form, $import);
     user_import_form_field_match($form, $import);
-    
+
     $collapsed = (empty($import['name'])) ? FALSE: TRUE;
     $additional_fieldsets = module_invoke_all('user_import_form_fieldset', $import, $collapsed);
     if (is_array($additional_fieldsets)) $form = $form + $additional_fieldsets;
 
     // don't show test option if import has started
     if ($import['setting'] != 'import' && $import['setting'] != 'imported') {
- 
+
         $form['test'] = array(
-            '#type' => 'submit', 
+            '#type' => 'submit',
             '#value' => t('Test'),
             '#weight' => 100,
         );
     }
-    
+
     $form['import'] = array(
-        '#type' => 'submit', 
+        '#type' => 'submit',
         '#value' => t('Import'),
         '#weight' => 100,
     );
-    
+
     $form['cancel'] = array(
-        '#type' => 'submit', 
+        '#type' => 'submit',
         '#value' => t('Cancel'),
         '#weight' => 100,
-    ); 
+    );
 
-    return $form;  
+    return $form;
 }
 
-function user_import_edit_form_validate($form_id, $form_values) {
+function user_import_edit_form_validate($form, &$form_state) {
+
+    switch ($form_state['values']['op']) {
 
-    switch ($form_values[op]) {
-        
         case t('Remove file'):
 
-            _user_import_settings_deletion($form_values['import_id']);
-            _user_import_file_deletion($form_values['filepath'], $form_values['filename'], $form_values['oldfilename']);
-            drupal_goto ('admin/user/user_import/add');
-            
+            _user_import_settings_deletion($form_state['values']['import_id']);
+            _user_import_file_deletion($form_state['values']['filepath'], $form_state['values']['filename'], $form_state['values']['oldfilename']);
+            drupal_goto('admin/user/user_import/add');
+
             break;
-            
+
         case t('Cancel'):
 
             // if import was being added - delete file
-            if ($form_values['setting'] == 'file set') {
-                _user_import_settings_deletion($form_values['import_id']);
-                _user_import_file_deletion($form_values['filepath'], $form_values['filename'], $form_values['oldfilename']);
+            if ($form_state['values']['setting'] == 'file set') {
+                _user_import_settings_deletion($form_state['values']['import_id']);
+                _user_import_file_deletion($form_state['values']['filepath'], $form_state['values']['filename'], $form_state['values']['oldfilename']);
             }
-            drupal_goto ('admin/user/user_import');
+            drupal_goto('admin/user/user_import');
             break;
-            
+
         // save settings
         case t('Save As New'):
-        
-            $template_name = trim($form_values['new_name']);
-        
+
+            $template_name = trim($form_state['values']['new_name']);
+
         case t('Save'):
-        
-            if (empty($template_name)) $template_name = trim($form_values['name']);
-            
+
+            if (empty($template_name)) $template_name = trim($form_state['values']['name']);
+
             if (empty($template_name)) form_set_error('name', t('A name needs to be set to save this settings template.'));
-            
+
             // check settings template name is unique
             $unique_name = db_result(db_query("SELECT COUNT(import_id) FROM {user_import} WHERE name = '%s'", $template_name));
-            
+
             if (!empty($unique_name)) form_set_error('name', t("'!name' is already in use by another settings template.", array('!name' => $template_name)));
-               
+
         case t('Test'):
         case t('Import'):
         default:
 
             $fields = array();
-       
-            while (list ($row, $values) = each ($form_values['field_match'])) {
-        
+
+            while (list ($row, $values) = each ($form_state['values']['field_match'])) {
+
                 // check each field is unique
                 if ($values['field_match'] != '0' && $values['field_match'] != '-------------' && in_array($values['field_match'], $fields)) {
-                    
+
                     form_set_error('field_match', t('Database fields can only be matched to one column of the csv file.'));
                 }
-                
+
                 $fields[$values['field_match']] = $values['field_match'];
-                
+
                 // check email address has been selected
                 if ($values['field_match'] == 'user-email') $email = TRUE;
             }
-           
             if (!$email) form_set_error('email', t('One column of the csv file must be set as the email address.'));
-        
-            if ($form_values['name']) {
-               $form_values['name'] = rtrim($form_values['name']);
-               
-               if (drupal_strlen($form_values['name']) < 1 || drupal_strlen($form_values['name']) > 25) {
+
+            if ($form_state['values']['name']) {
+              $form_state['values']['name'] = rtrim($form_state['values']['name']);
+
+              if (drupal_strlen($form_state['values']['name']) < 1 || drupal_strlen($form_state['values']['name']) > 25) {
                 form_set_error('name', t('Name of saved settings must be 25 characters or less.'));
-               }
+              }
             }
             break;
     }
-    
+
     return;
 }
 
-function user_import_edit_form_submit($form_id, $form_values) {
-    
-    switch ($form_values[op]) {
-    
+function user_import_edit_form_submit($form, &$form_state) {
+
+    switch ($form_state['values']['op']) {
+
         // save settings
         case t('Save As New'):
-            $form_values['name'] = $form_values['new_name'];
-            
+            $form_state['values']['name'] = $form_state['values']['new_name'];
+
         case t('Save'):
-            
+
             // save settings for import
-            _user_import_settings_save($form_values);
-            
+            _user_import_settings_save($form_state['values']);
+
             // save settings for template
-            $import_return = 'admin/user/user_import/add/' . $form_values['import_id'];
-            $form_values['setting'] = 'template';
-            unset($form_values['import_id']);
-            _user_import_initialise_import($form_values);
-            
+            $import_return = 'admin/user/user_import/add/'. $form_state['values']['import_id'];
+            $form_state['values']['setting'] = 'template';
+            unset($form_state['values']['import_id']);
+            _user_import_initialise_import($form_state['values']);
+
             // reload settings page
-            drupal_set_message (t("'%name' was saved as a settings template.", array('%name' => $form_values['name'])));
+            drupal_set_message(t("'%name' was saved as a settings template.", array('%name' => $form_state['values']['name'])));
             return $import_return;
 
         case t('Update'):
-          
+
             // get template id
-            $template_id = db_result(db_query("SELECT import_id from {user_import} where setting = 'template' AND name= '%s' LIMIT 1", $form_values['name']));
-            
+            $template_id = db_result(db_query_range("SELECT import_id from {user_import} where setting = 'template' AND name= '%s'", $form_state['values']['name'], 0, 1));
+
             // save settings for import
-            _user_import_settings_save($form_values);
-            
+            _user_import_settings_save($form_state['values']);
+
             // save settings for template
-            $import_return = 'admin/user/user_import/add' . $form_values['import_id'];
-            $form_values['setting'] = 'template';
-            $form_values['import_id'] = $template_id;
-            _user_import_initialise_import($form_values);
-            
+            $import_return = 'admin/user/user_import/add'. $form_state['values']['import_id'];
+            $form_state['values']['setting'] = 'template';
+            $form_state['values']['import_id'] = $template_id;
+            _user_import_initialise_import($form_state['values']);
+
             // reload settings page
-            drupal_set_message (t("'%name' settings template was updated.", array('%name' => $form_values['name'])));
+            drupal_set_message(t("'%name' settings template was updated.", array('%name' => $form_state['values']['name'])));
             return $import_return;
-            
+
         case t('Test'):
-            if ($form_values['setting'] == 'file set') $filepath = file_move($form_values['filepath'], file_directory_path() . '/' . $form_values['filename']);
-            $form_values['setting'] = 'test';
+            if ($form_state['values']['setting'] == 'file set') $filepath = file_move($form_state['values']['filepath'], file_directory_path() .'/'. $form_state['values']['filename']);
+            $form_state['values']['setting'] = 'test';
             drupal_set_message(t('Tested'));
             break;
-            
+
         case t('Import'):
         default:
-            if ($form_values['setting'] == 'file set') $filepath = file_move($form_values['filepath'], file_directory_path() . '/' . $form_values['filename']);
-            if (!empty($form_values['og_id'])) $form_values['groups'][$form_values['og_id']] = $form_values['og_id'];
+            if ($form_state['values']['setting'] == 'file set') $filepath = file_move($form_state['values']['filepath'], file_directory_path() .'/'. $form_state['values']['filename']);
+            if (!empty($form_state['values']['og_id'])) $form_state['values']['groups'][$form_state['values']['og_id']] = $form_state['values']['og_id'];
+
+            $form_state['values']['setting'] = 'import';
+            drupal_set_message(t('Imported'));
+            break;
+    }
+
+    $form_state['values'] = _user_import_settings_save($form_state['values']);
 
-            $form_values['setting'] = 'import';
-            drupal_set_message (t('Imported'));
-            break;            
-    }  
-    
-    $form_values = _user_import_settings_save($form_values);
-
-    $form_values['save']['update'] = NULL;
-    $form_values['import_template_id'] = NULL;
-    $form_values['save']['name'] = NULL;
-    _user_import_process($form_values);
-    return $form_values['return_path'];
+    $form_state['values']['save']['update'] = NULL;
+    $form_state['values']['import_template_id'] = NULL;
+    $form_state['values']['save']['name'] = NULL;
+    _user_import_process($form_state['values']);
+    return $form_state['values']['return_path'];
 
 }
 
 function user_import_preconfigured($template_id = NULL, $import_id = NULL, $og_id = NULL) {
-  
+
     if (empty($template_id)) drupal_access_denied();
     $exists = db_result(db_query("SELECT COUNT(import_id) FROM {user_import} WHERE import_id = %d AND setting = 'template'", $template_id));
     if (empty($exists)) drupal_access_denied();
 
     $form = array();
-    
+
     $form['template_id'] = array(
-      '#type' => 'value', 
+      '#type' => 'value',
       '#value' => $template_id,
     );
-    
+
     $form['og_id'] = array(
-      '#type' => 'value', 
+      '#type' => 'value',
       '#value' => $og_id,
     );
-    
+
     user_import_add_file_form($form);
-    
+
     $form['next'] = array(
-        '#type' => 'submit', 
+        '#type' => 'submit',
         '#value' => t('Import Users')
-    );    
-    
+    );
+
     // Set form parameters so we can accept file uploads.
     $form['#attributes'] = array('enctype' => 'multipart/form-data');
-    
+
     if (!empty($import_id)) {
 
       // check access
       $exists = db_result(db_query("SELECT COUNT(import_id) FROM {user_import} WHERE import_id = %d", $import_id));
-      
+
       if (!empty($exists)) {
 
         $form['status'] = array(
             '#value' => '<div class="user-import-report">
-                          <h3>' . t('Import Report') . '</h3>' . 
-                          theme('user_import_limited_list', $import_id, $template_id) . 
+                          <h3>'. t('Import Report') .'</h3>'.
+                          theme('user_import_limited_list', $import_id, $template_id) .
                           '</div>',
         );
       }
@@ -617,29 +619,29 @@ function user_import_preconfigured($temp
     return $form;
 }
 
-function user_import_preconfigured_validate($form_id, $form_values) {
+function user_import_preconfigured_validate($form, &$form_state) {
 
   // check file uploaded OK
   $file = _user_import_file();
   if (empty($file->filename)) form_set_error('file_upload', t('A valid file must be selected.'));
 }
 
-function user_import_preconfigured_submit($form_id, $form_values) {
+function user_import_preconfigured_submit($form, &$form_state) {
 
   $file = _user_import_file();
 
-  $form_values['filename'] = $file->filename;
-  $form_values['oldfilename'] = $file->filename;
-  $form_values['filepath'] = $file->filepath;
-  $form_values['setting'] = 'file set';
-  
-  $import = _user_import_settings_save($form_values);
+  $form_state['values']['filename'] = $file->filename;
+  $form_state['values']['oldfilename'] = $file->filename;
+  $form_state['values']['filepath'] = $file->filepath;
+  $form_state['values']['setting'] = 'file set';
+
+  $import = _user_import_settings_save($form_state['values']);
 
   // submit the form using these values
   $form_id = 'user_import_edit_form';
-  $field_values = array('return_path' => 'user_import/' . $form_values['template_id'] . '/' . $import['import_id'] . '/' . $form_values['og_id']);
-  $field_values['og_id'] = $form_values['og_id'];
-  $errors = drupal_execute($form_id, $field_values, $import['import_id'], $form_values['template_id']);
+  $field_values = array('return_path' => 'user_import/'. $form_state['values']['template_id'] .'/'. $import['import_id'] .'/'. $form_state['values']['og_id']);
+  $field_values['og_id'] = $form_state['values']['og_id'];
+  $errors = drupal_execute($form_id, $field_values, $import['import_id'], $form_state['values']['template_id']);
   return;
 }
 
@@ -651,14 +653,14 @@ function user_import_add_file_form(&$for
         '#collapsible' => TRUE,
         '#description' => t("Upload a CSV file."),
     );
-    
+
     if (function_exists('file_upload_max_size')) $file_size = t('Maximum file size: !size MB.', array('!size' => file_upload_max_size()));
 
     $form['browser']['file_upload'] = array(
         '#type' => 'file',
         '#title' => t('CSV File'),
         '#size' => 40,
-        '#description' => t('Select the CSV file to be imported. ') . $file_size,
+        '#description' => t('Select the CSV file to be imported.') . $file_size,
     );
 
     if (!empty($ftp_files)) {
@@ -670,97 +672,96 @@ function user_import_add_file_form(&$for
           '#collapsed' => TRUE,
           '#description' => t("Any files uploaded to the 'user_import' directory using FTP can be selected for import here. Useful if the import file is too large for upload via the browser."),
       );
-      
-       $form['ftp']['file_ftp'] = array(
+
+      $form['ftp']['file_ftp'] = array(
             '#type' => 'radios',
             '#title' => t('Files'),
             '#default_value' => 0,
             '#options' => $ftp_files,
-       );
-      
+      );
+
       $form['ftp']['scan'] = array(
-          '#type' => 'button', 
+          '#type' => 'button',
           '#value' => t('Check for new files'),
       );
-        
+
     }
-    
+
     return;
 }
 
 
-// - - - - - - - -  PAGES - - - - - - - - 
+// - - - - - - - -  PAGES - - - - - - - -
 
 function user_import_preferences($import_id = NULL, $template_id = NULL) {
+  if (empty($import_id)) {
+    $output .= drupal_get_form('user_import_add_form');
+  }
+  else {
+    $output .= drupal_get_form('user_import_edit_form', $import_id, $template_id);
+  }
 
-    if (empty($import_id)) {
-        $output .= drupal_get_form('user_import_add_form');
-    } else {
-        $output .= drupal_get_form('user_import_edit_form', $import_id, $template_id);
-    }
-    
-    return $output;
+  return $output;
 }
 
 function user_import_list($action = NULL, $import_id = NULL) {
-  
+
     // clear incomplete imports
     _user_import_incomplete_deletion();
-    
+
     if (!empty($import_id) && is_numeric($import_id)) {
-		
+
       $pager_id = 1;
       $max = 25;
       $import = _user_import_settings_select($import_id);
-      
+
       $total = db_result(db_query("SELECT count(data) FROM {user_import_errors} WHERE import_id = %d", $import['import_id']));
       $results = pager_query("SELECT * FROM {user_import_errors} WHERE import_id = %d", $max, $pager_id, NULL, array($import['import_id']));
-      
+
       while ($line = db_fetch_array($results)) {
           $line['data'] = unserialize($line['data']);
           $line['errors'] = unserialize($line['errors']);
           $file_lines[] = $line;
       }
-      
+
       $output = theme('user_import_errors_display', $import, $file_lines, $total);
       $output .= theme('pager', NULL, $max, $pager_id);
-		
-    } else {
-    	
-    	$output =  theme_user_import_list();
+
+    }
+    else {
+
+      $output =  theme_user_import_list();
     }
 
-    
-    
-    return $output;    
+
+
+    return $output;
 }
 
 function user_import_continue($import_id = NULL) {
+  if (!empty($import_id) && is_numeric($import_id)) {
+    $import = _user_import_settings_select($import_id);
+    _user_import_process($import);
+  }
 
-    if (!empty($import_id) && is_numeric($import_id)) {
-        
-		$import = _user_import_settings_select($import_id);
-		_user_import_process($import);
-    }
-    
-    drupal_goto('admin/user/user_import');
+  drupal_goto('admin/user/user_import');
 }
 
 function user_import_import($import_id = NULL) {
 
     if (!empty($import_id) && is_numeric($import_id)) {
-        
-		$import = _user_import_settings_select($import_id);
-		_user_import_initialise_import($import);
+
+    $import = _user_import_settings_select($import_id);
+    _user_import_initialise_import($import);
     }
-    
+
     drupal_goto('admin/user/user_import');
 }
 
 function user_import_errors_display($import_id = NULL) {
 
   if (empty($import_id) || !is_numeric($import_id)) drupal_goto('admin/user/user_import');
-      
+
   $import = _user_import_settings_select($import_id);
   $output = theme('user_import_errors_display', $import);
   return $output;
@@ -768,35 +769,36 @@ function user_import_errors_display($imp
 
 function user_import_limited_errors($import_id = NULL, $template_id = NULL) {
 
-  if (empty($import_id) || !is_numeric($import_id)) drupal_goto('user_import/' . $template_id);
- 
+  if (empty($import_id) || !is_numeric($import_id)) drupal_goto('user_import/'. $template_id);
+
   $pager_id = 1;
   $max = 25;
   $import = _user_import_settings_select($import_id);
-  
+
   $total = db_result(db_query("SELECT count(data) FROM {user_import_errors} WHERE import_id = %d", $import['import_id']));
-  
+
   if (empty($total))  {
-  
+
     $output .= theme('There were no import errors');
-  
-  } else {
-  
+
+  }
+  else {
+
     $results = pager_query("SELECT * FROM {user_import_errors} WHERE import_id = %d", $max, $pager_id, NULL, array($import['import_id']));
-    
+
     while ($line = db_fetch_array($results)) {
 
       $line['data'] = unserialize($line['data']);
       $line['errors'] = unserialize($line['errors']);
       $file_lines[] = $line;
     }
- 
+
     $output .= theme('user_import_errors_display', $import, $file_lines, $total);
-    $output .= theme('pager', NULL, $max, $pager_id); 
+    $output .= theme('pager', NULL, $max, $pager_id);
   }
-  
+
   $output .= l(t('Return'), "user_import/$template_id/$import_id");
- 
+
   return $output;
 }
 
@@ -811,16 +813,16 @@ function user_import_errors($error = FAL
 }
 
 function user_import_limited_delete($import_id = NULL, $template_id = NULL) {
-  
+
   user_import_delete($import_id, "user_import/$template_id");
 }
 
 function user_import_delete($import_id = NULL, $return_path = 'admin/user/user_import') {
 
     if (empty($import_id) || !is_numeric($import_id)) drupal_goto($return_path);
-        
+
     $import = _user_import_settings_select($import_id);
-    
+
     _user_import_settings_deletion($import_id);
     _user_import_file_deletion($import['filepath'], $import['filename'], $import['oldfilename']);
     drupal_goto($return_path);
@@ -828,12 +830,30 @@ function user_import_delete($import_id =
 }
 
 
-// - - - - - - - -  THEMES - - - - - - - - 
+// - - - - - - - -  THEMES - - - - - - - -
+function user_import_theme() {
+  return array(
+    'user_import_list' => array(
+    ),
+    'user_import_limited_list' => array(
+      'arguments' => array('import_id' => NULL, 'template_id' => NULL)
+    ),
+    'user_import_edit_form' => array(
+      'arguments' => array('form' => NULL)
+    ),
+    'user_import_errors_display' => array(
+      'arguments' => array('settings' => NULL, 'data' => NULL, 'total' => NULL)
+    ),
+    'user_import_username_errors' => array(
+      'arguments' => array('errors' => NULL)
+    )
+  );
+}
 
 function theme_user_import_list() {
 
   $imports = _user_import_settings_select();
-  
+
   if (!$imports) return ' ';
 
   foreach ($imports as $import) {
